package com.ann.demo.service;


import com.ann.demo.entity.interfaceEntity.MessageLog;

import java.util.List;

/**
 * @Description
 * @Date 2019/7/9 10:24
 * @Created by  ljx
 */

public interface MessageService {

    public void save(MessageLog log) throws Exception;

    public Integer countByInputContentAndInterfaceName(String xmlStr, String hipMessageServer) throws Exception;

    // 2019-10-11 查询所有9月15解析成功的数据
    List<MessageLog> findAllMessage() throws Exception;

    //2020-3-20 获取患者信息id
    String getArchiveMasterId(String inpNo,String visitId);

}
